﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using Telerik.Windows.Controls.Map;

namespace PointsStyling
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		private POICollection poiCollection = new POICollection();

		public MainWindow()
		{
			InitializeComponent();

			this.radMap.InitializeCompleted += new EventHandler(radMap_InitializeCompleted);
		}

		void radMap_InitializeCompleted(object sender, EventArgs e)
		{
			//Bind POI collection to the poi layer. 
			Binding binding = new Binding();
			binding.Source = poiCollection;
			this.poiInformationLayer.SetBinding(ItemsControl.ItemsSourceProperty, binding);

			var poi = new PointOfInterest()
			{
				Location = new Location(40, -100),
				Background = new SolidColorBrush(Colors.Blue),
				Title = "Point 1"
			};
			poiCollection.Add(poi);

			poi = new PointOfInterest()
			{
				Location = new Location(42, -120),
				Background = new SolidColorBrush(Colors.Gray),
				Title = "Point 2"
			};
			poiCollection.Add(poi);

			poi = new PointOfInterest()
			{
				Location = new Location(38, -80),
				Background = new SolidColorBrush(Colors.Yellow),
				Title = "Point 3"
			};
			poiCollection.Add(poi);
		}
	}
}
